<template lang="html">
  <div class="dashboard-game-list">
    <div class="content">
      <div class="list-item"
        v-for="game in games">
        <nuxt-link :to="{ name: 'dashboard-game-gid', params: { gid: game.gid }}">
          <h2 class="item-title">{{ game.title }}</h2>
          <div class="item-description">
            <!--
            <span class="item-status">
              <img class="item-status-icon"
                :src="iconFromStatus(game.status)">
              <span>{{ game.status }}</span>
              &emsp;
            </span>
            -->
            <span class="item-privacy">
              &emsp;
              <img class="item-privacy-icon"
                :src="iconFromPrivacy(game.privacy)">
              <span>{{ game.privacy }}</span>
            </span>
          </div>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>

<script>
import { iconFromStatus, iconFromPrivacy } from '~/utils/imageUtil'

export default {
  name: 'ep-dashboard-game-list',
  props: {
    games: {
      type: Array,
      default () {
        return [{
          gid: 'time_splitters',
          title: 'Time Splitters: Future Perfect',
          status: 'Live',
          privacy: 'Public'
        }]
      }
    }
  },
  data () {
    return {
      STATUS_LIVE: 'live',
      STATUS_PENDING: 'pending',
      STATUS_ERROR: 'error',
      PRIVACY_PUBLIC: 'public',
      PRIVACY_UNLISTED: 'unlisted',
      PRIVACY_PRIVATE: 'private'
    }
  },
  methods: {
    iconFromStatus (status) {
      return iconFromStatus(status)
    },
    iconFromPrivacy (privacy) {
      return iconFromPrivacy(privacy)
    }
  }
}
</script>

<style lang="scss" scoped>

$icon-size: 12px;

.content {
  border-top: none;
  border-right: none;
  border-bottom: 1px solid #dcdcdc;
  border-left: none;
  margin: 0;
  padding-top: 16px;
  border-radius: 0;
  background: #fff;
  overflow: auto;
  padding: 12px;
  box-sizing: border-box;
}

.list-item {
  padding-top: 0;
  border: none;
  position: relative;
  clear: both;
  padding: 8px 0;

  .item-title {
    font-size: 18px;
    color: #222;
    font-weight: normal;
    margin: 0;
  }

  .item-description {
    color: #767676;
    font-size: 12px;

    .item-status {
      &:after {
        content: " \002022 ";
        white-space: normal;
      }
    }

    .item-status-icon, .item-privacy-icon {
      width: $icon-size;
      height: $icon-size;
    }
  }

  a {
    color: #4285f4;
    text-decoration: none;
  }
}
</style>
